Jump to content

2.0 update confusion


Recommended Posts

I'm confused. If people buy the 2.0 patch for Normandy does that include the walking pathways or not?

And I guess British Forces as a module is automatically dragged around code-wise with the 2.0 patch although the Market garden module has it's own code?

So if you don't buy the update the BN basegame and the BF module would stay at 1.x code wise even if you have the MG module which somehow manages to have 2.0 code. I though you can't have different code versions between base game and modules.

BTW, there is a website bug in the preorder page. Opening in new tab (middle click) on the order now link opens a different (incorrect page) compared to opening in same tab. Please don't mess with middle click bindings in websites, especially not when it's screwed up :)

Link to comment
Share on other sites

A quote from Steve in the main Market Garden thread.

Quick answer about the Footpath terrain, new buildings, new bridges, and other Editor improvements. These will be available to use anywhere within the Normandy timeframe to your heart's content. However, if it is something that involves models/textures then you'll only be able to use those scenarios if you have Market Garden. For example, you could make a Normandy beachead scenario using only the units found in the Base Game, but if you put in Footpath it would mark the scenario as only useable by Market Garden owners. That's because the artwork and code necessary to use them is embedded in Market Garden.

Steve

Link to comment
Share on other sites

I'm confused. If people buy the 2.0 patch for Normandy does that include the walking pathways or not?

Well the 2.0 update to CMBN has been out for a while and did not include the footpaths. So the short answer is no.

What we have received for the CMBN series:

*CMBN 1.0

*patch for bug fixes to 1.01

*CMBN CW module also included some bug fixes 1.1

*patch for bug fixes to 1.11

*upgrade to 2.0

*patch for bug fixes 2.01

Now we are about to get (version numbers are speculation on my part):

* CMBN MG module also includes some bug fixes 2.1

And a while after that there could be:

* patch for bug fixes 2.11

@Sequoia gave you the quote from Steve that answers the question you were probably trying to ask.

Link to comment
Share on other sites

In the preorder says:

"Market Garden" is the second module in the critically acclaimed series of WW2 tactical combat simulations and requires the base game, "Combat Mission: Battle for Normandy", upgraded to v2.0 in order to play. If you didn't upgrade CMBN yet, we also offer an attractive Market Garden Bundle which includes the new module as well as the 2.0 Engine Upgrade for only $5 more!

Well... i have the base game, and all the modules, including the ones in fortress Italy.

This mean that i still don't have the 2.0 engine update?. I thought that was included in another previous module, i'm wrong?.

It's not clear for me if the 2.0 is mandatory in order to install Market Garden.

Link to comment
Share on other sites

In the preorder says:

Well... i have the base game, and all the modules, including the ones in fortress Italy.

This mean that i still don't have the 2.0 engine update?. I thought that was included in another previous module, i'm wrong?.

It's not clear for me if the 2.0 is mandatory in order to install Market Garden.

2.0 was not part of the CMBN Commonwealth module. If you did not buy the 2.0 upgrade for CMBN previously for $10 you will have to buy it to play the Market Garden Module. You can buy it for $5 if you buy it along with Market Garden. It doesn't matter what you have for Fortress Italy as that is a separate game.

Link to comment
Share on other sites

I'm confused. If people buy the 2.0 patch for Normandy does that include the walking pathways or not?

Walking pathways are a Market Garden map element. Any map with walking pathways will require Market Garden to work. Nobody can add a walking pathway to a map unless they own Market Garden. If someone owns Market Garden and they want to make a map that is playable without Market Garden then they can't add any Market Garden specific terrain elements. That includes any footpaths, certain bridges, certain independent buildings, etc.

If someone owns Market Garden and adds Market Garden terrain elements to a map and wants someone who doesn't own Market Garden to play on that map, then they only have themselves to blame for adding Market Garden terrain elements to their map. I don't think that every map in Market Garden has Market Garden terrain elements in it. If you don't have Market Garden and you have a friend who owns Market Garden and you want to play on a map that comes with Market Garden it would be possible for that friend to remove those Market Garden specific terrain elements and allow you to play with that map as well, but of course unless you know someone who already owns Market Garden you won't have access to the map in the first place.

If you don't want to purchase Market Garden and you want footpaths on your map then you are SOL.

Link to comment
Share on other sites

Yeah never mind.

I thought this is charging 10 bucks to backport MG code to CMBN. I long own the 2.0 patch. It's just that putting it in the bundle like this could indicate that the patch code is the MG code, although it is the CMFI code.

Market Garden was created in the same code as the 2.0 upgrade so people who want to purchase Market Garden will need the 2.0 upgrade installed in order for Market Garden to work. Market Garden by itself does not upgrade the base game to 2.0 so Market Garden by itself is incompatible with a non upgraded CMBN base game. If you already own the 2.0 upgrade then it is not necessary to purchase the upgrade again. You are all set.

Link to comment
Share on other sites

Well the 2.0 update to CMBN has been out for a while and did not include the footpaths. So the short answer is no.

What we have received for the CMBN series:

*CMBN 1.0

*patch for bug fixes to 1.01

*CMBN CW module also included some bug fixes 1.1

*patch for bug fixes to 1.11

*upgrade to 2.0

*patch for bug fixes 2.01

Now we are about to get (version numbers are speculation on my part):

* CMBN MG module also includes some bug fixes 2.1

And a while after that there could be:

* patch for bug fixes 2.11

@Sequoia gave you the quote from Steve that answers the question you were probably trying to ask.

And 3.00 and up may include fire.

Link to comment
Share on other sites

Would probably be better to name the patch that comes with MG differently, e.g. 2.11 instead of 2.0.

It really makes it look like you get an option to buy the CMMG code for BN and people who already own the old purchased patch might order it again.

I also think it isn't clear enough that you must have the purchased 2.x patch to play MG.

Link to comment
Share on other sites

Would probably be better to name the patch that comes with MG differently, e.g. 2.11 instead of 2.0.

It really makes it look like you get an option to buy the CMMG code for BN and people who already own the old purchased patch might order it again.

I also think it isn't clear enough that you must have the purchased 2.x patch to play MG.

Market Garden was made with the 2.0 upgrade code. Market Garden was made with the 2.0 upgrade code because all future games after the 2.0 upgrade was released are coded using the upgrades that came with 2.0. Market Garden doesn't upgrade any other software. Market Garden was simply made with the new code. If you don't have the 2.0 upgrade installed then Market Garden won't work on your computer because your base game will be incompatible with the new module from a code standpoint.

Link to comment
Share on other sites

Market Garden was made with the 2.0 upgrade code. Market Garden was made with the 2.0 upgrade code because all future games after the 2.0 upgrade was released are coded using the upgrades that came with 2.0. Market Garden doesn't upgrade any other software. Market Garden was simply made with the new code. If you don't have the 2.0 upgrade installed then Market Garden won't work on your computer because your base game will be incompatible with the new module from a code standpoint.

Yeah. We all know that here.

How is the casual buyer on the order page supposed to know?

Link to comment
Share on other sites

What confuses me (it happens often I'm sorry to say), is that we keep talking about the 2.0 upgrade, yet when I open my CMBN game it says version 2.1. Does the 2.0 upgrade alone bundled with MG contain the fixes in the 2.1 version?

Anyway I ordered the MG + 2.0 bundle by mistake, and I'm hoping BFC will let me cancel and just pre order the MG mod by itself.

Link to comment
Share on other sites

What confuses me (it happens often I'm sorry to say), is that we keep talking about the 2.0 upgrade, yet when I open my CMBN game it says version 2.1. Does the 2.0 upgrade alone bundled with MG contain the fixes in the 2.1 version?

Your current game probably says 2.01 - I know mine does. Not sure about your question. The 2.0 upgrade was a release a while ago and patched to 2.01. When MG comes out there will be fixes and enhancements made on top of the 2.01 code that make MG features possible. I suspect they will call it 2.1.

Link to comment
Share on other sites

Your current game probably says 2.01 - I know mine does. Not sure about your question. The 2.0 upgrade was a release a while ago and patched to 2.01. When MG comes out there will be fixes and enhancements made on top of the 2.01 code that make MG features possible. I suspect they will call it 2.1.

Right, it does say 2.01, my question basically is...if you are on 2.01, then you don't need to order the MG bundle with the 2.0 upgrade, which I did in error? All I need is the MG mod by itself?

Link to comment
Share on other sites

What confuses me (it happens often I'm sorry to say), is that we keep talking about the 2.0 upgrade, yet when I open my CMBN game it says version 2.1. Does the 2.0 upgrade alone bundled with MG contain the fixes in the 2.1 version?

Anyway I ordered the MG + 2.0 bundle by mistake, and I'm hoping BFC will let me cancel and just pre order the MG mod by itself.

Yes and that is the problem with how the order page is worded.

Unless you specifically look up version numbers it looks like you must purchase the CMMG code for CMBN to continue. It isn't clear enough that the code required is actually the CMFI code, so to speak.

The fact that we are already past 2.0 version number wise doesn't make it better, and of course CMMG will not be 2.0 either.

Link to comment
Share on other sites

Wow. Sorry, but your posts are way more confusing than what is on the product page.

The products you must own to install the MG module are:

Combat Mission: Battle for Normandy

Combat Mission: Battle for Normandy 2.0 Upgrade

If you do not currently own the CMBN 2.0 upgrade, you can buy the 2.0 upgrade and the MG module as a bundle.

Patches that are needed are free and will no doubt be noted in the installation instructions.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...